import request from '@/utils/request'

// 用户豆子余额列表
export function pageUserBeanBalance(params) {
  return request({
    url: '/user-bean-balance/page',
    method: 'get',
    params
  })
}

// 用户豆子流水列表
export function pageUserBeanRunningWater(params) {
  return request({
    url: '/user-bean-balance/running-water/page',
    method: 'get',
    params
  })
}

// 添加或扣除豆子
export function addOrSubtract(data) {
  return request({
    url: '/user-bean-balance/add-or-subtract/beans',
    method: 'post',
    data
  })
}
